Update a message template
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId}
Path Parameters
- clientIdstringrequiredDescription
- messageTemplateIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- subjectForTargetGroupstringDescription
- cmsContentTemplateIdstringDescription
- messageTemplateIdForCreateinteger<int64>DescriptionFormatint64
- messageTemplateIdForCopyinteger<int64>DescriptionFormatint64
- replyToAddressstringDescription
- mailingIdinteger<int64>DescriptionFormatint64
- resetReplyToAddressbooleanDescription
- resetTargetedSubjectsbooleanDescription
- replyToNamestringDescription
- namestringrequiredDescription
- senderNamestringDescription
- subjectstringDescription
- senderAddressstringDescription
Responses
200
- RestMessageTemplate
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- contentIdstringDescription
- contentTemplatestringDescription
- mediaTypestringDescription
- senderAddressstringDescription
- senderNamestringExampleDescription
- replyToAddressstringDescription
- replyToNamestringDescription
- subjectmap<string, string>Description
- formatstringDescription
- dispatchOptionstringDescription
- dispatchStrategyOptionstringDescription
- accumulateMessagesForDaysinteger<int32>DescriptionFormatint32
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("name", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "name=string"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId}"
payload = 'name=string'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The message template was updated successfully.
{
"id": "",
"name": "",
"contentId": "",
"contentTemplate": "",
"mediaType": "",
"senderAddress": "",
"senderName": "Episerver GmbH",
"replyToAddress": "",
"replyToName": "",
"subject": "",
"format": "",
"dispatchOption": "",
"dispatchStrategyOption": "",
"accumulateMessagesForDays": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}